Initiate an address check
curl --request PUT \
--url https://api.example.com/api/v4/kyt/checks/address \
--header 'Content-Type: application/json' \
--header 'ds-api-token: <api-key>' \
--data '
{
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"blockchain": "eth",
"directs": false,
"risk_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"token": ""
}
'import requests
url = "https://api.example.com/api/v4/kyt/checks/address"
payload = {
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"blockchain": "eth",
"directs": False,
"risk_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"token": ""
}
headers = {
"ds-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'ds-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045',
blockchain: 'eth',
directs: false,
risk_profile_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
token: ''
})
};
fetch('https://api.example.com/api/v4/kyt/checks/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"balance": "1.2340",
"blockchain": "eth",
"direct_entities": [
{
"incoming_amount": "0.5000",
"name": "Binance",
"outgoing_amount": "0.0000",
"type": "EXCHANGE_LICENSED",
"type_label": "Licensed Exchange"
}
],
"direct_payments": [
{
"risk_score_grade": "high",
"total": "150.00",
"total_count": "3",
"total_count_coef": "0.01",
"type": "SANCTIONS",
"type_label": "Sanctions"
}
],
"error": "",
"id": "a1b2c3d4-e5f6-4890-8bcd-ef1234567890",
"indirect_entities": [
{
"incoming_amount": "0.2000",
"name": "Kraken",
"outgoing_amount": "0.0000",
"type": "EXCHANGE_LICENSED",
"type_label": "Licensed Exchange"
}
],
"indirect_payments": [
{
"risk_score_grade": "moderate",
"total": "50.00",
"total_count": "1",
"total_count_coef": "0.005",
"type": "MIXING_SERVICE",
"type_label": "Mixing Service"
}
],
"name": "Vitalik Buterin",
"received": "1.7340",
"risk_score": "0.15",
"risk_score_grade": "low",
"sanctions": {
"found": true,
"lists": [
{
"name": "Israel Sanctioned Crypto Wallets List",
"url": "https://example.org/sanctions/list"
}
]
},
"sent": "0.5000",
"status": "success",
"token": "",
"type": "ONLINE_WALLET",
"type_label": "Online Wallet"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"errors": [
{
"field": "<string>",
"message": "<string>",
"type": "<string>"
}
],
"message": "<string>"
}Address Checks
Initiate an address check
Screens a blockchain address for KYT risk and returns the full risk assessment.
PUT
/
api
/
v4
/
kyt
/
checks
/
address
Initiate an address check
Authorizations
API token passed in the request header.
Body
application/jsonapplication/xml
Request body for kyt.InitAddressCheckRequest
InitAddressCheckRequest schema
Pattern:
^(0x[0-9a-fA-F]{40}|T[1-9A-HJ-NP-Za-km-z]{33}|[13][a-km-zA-HJ-NP-Z1-9]{25,34}|bc1[02-9ac-hj-np-z]{7,76}|BC1[02-9AC-HJ-NP-Z]{7,76})$Example:
"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
Available options:
btc, eth, trx Example:
"eth"
Example:
false
Available options:
, USDC, USDT Example:
""
Response
OK
⌘I